# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::RenderState Class Reference

Base class for most of the OpenGL render state wrapper classes. More...

`#include <RenderState.hpp>`

Inheritance diagram for vl::RenderState:

List of all members.

## Public Member Functions

virtual const char * | className ()
| Returns the name of the class.
| RenderState ()
virtual | ~RenderState ()
virtual ERenderState | type () const
virtual void | apply (const Camera *) const =0
virtual void | disable () const
virtual void | enable () const
virtual void | initResources ()
int | textureUnit () const
void | setUnitIndex (int unit_index)

## Protected Attributes

int | mTextureUnit

## Detailed Description

Base class for most of the OpenGL render state wrapper classes.

See also:
  Shader, Effect, Actor

## Constructor & Destructor Documentation

vl::RenderState::RenderState | ( |  | ) | `[inline]`

virtual vl::RenderState::~RenderState | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual const char* vl::RenderState::className | ( |  | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::Object.

Reimplemented in vl::ClipPlane, vl::GLSLProgram, vl::Light, vl::PixelTransfer, vl::Hint, vl::CullFace, vl::FrontFace, vl::DepthFunc, vl::DepthMask, vl::PolygonMode, vl::ShadeModel, vl::BlendFunc, vl::BlendEquation, vl::SampleCoverage, vl::AlphaFunc, vl::Material, vl::LightModel, vl::Fog, vl::PolygonOffset, vl::LogicOp, vl::DepthRange, vl::LineWidth, vl::PointSize, vl::PolygonStipple, vl::LineStipple, vl::PointParameter, vl::StencilFunc, vl::StencilOp, vl::StencilMask, vl::BlendColor, vl::ColorMask, vl::TextureMatrix, vl::TexEnv, vl::TexGen, and vl::TextureUnit.

virtual ERenderState vl::RenderState::type | ( |  | ) | const`[inline, virtual]`

Reimplemented in vl::ClipPlane, vl::GLSLProgram, vl::Light, vl::PixelTransfer, vl::Hint, vl::CullFace, vl::FrontFace, vl::DepthFunc, vl::DepthMask, vl::PolygonMode, vl::ShadeModel, vl::BlendFunc, vl::BlendEquation, vl::SampleCoverage, vl::AlphaFunc, vl::Material, vl::LightModel, vl::Fog, vl::PolygonOffset, vl::LogicOp, vl::DepthRange, vl::LineWidth, vl::PointSize, vl::PolygonStipple, vl::LineStipple, vl::PointParameter, vl::StencilFunc, vl::StencilOp, vl::StencilMask, vl::BlendColor, vl::ColorMask, vl::TextureMatrix, vl::TexEnv, vl::TexGen, and vl::TextureUnit.

virtual void vl::RenderState::apply | ( | const Camera * |  | ) | const`[pure virtual]`

Implemented in vl::ClipPlane, vl::GLSLProgram, vl::Light, vl::PixelTransfer, vl::Hint, vl::CullFace, vl::FrontFace, vl::DepthFunc, vl::DepthMask, vl::PolygonMode, vl::ShadeModel, vl::BlendFunc, vl::BlendEquation, vl::SampleCoverage, vl::AlphaFunc, vl::Material, vl::LightModel, vl::Fog, vl::PolygonOffset, vl::LogicOp, vl::DepthRange, vl::LineWidth, vl::PointSize, vl::PolygonStipple, vl::LineStipple, vl::PointParameter, vl::StencilFunc, vl::StencilOp, vl::StencilMask, vl::BlendColor, vl::ColorMask, vl::TextureMatrix, vl::TexEnv, vl::TexGen, and vl::TextureUnit.

virtual void vl::RenderState::disable | ( |  | ) | const`[inline, virtual]`

Reimplemented in vl::ClipPlane, vl::Light, and vl::TextureUnit.

virtual void vl::RenderState::enable | ( |  | ) | const`[inline, virtual]`

Reimplemented in vl::ClipPlane, vl::Light, and vl::TextureUnit.

virtual void vl::RenderState::initResources | ( |  | ) | `[inline, virtual]`

Reimplemented in vl::GLSLProgram, and vl::TextureUnit.

int vl::RenderState::textureUnit | ( |  | ) | const`[inline]`

void vl::RenderState::setUnitIndex | ( | int | unit_index | ) | `[inline]`

## Member Data Documentation

int vl::RenderState::mTextureUnit`[protected]`

The documentation for this class was generated from the following file:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/RenderState.hpp

Visualization Library v2009.07 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Mon Aug 10 21:41:39 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.